%define name fb2png
%define version 0.1
%define release %mkrel 12

Summary: Take screenshots from the framebuffer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: fb2png-0.1-index.html
License: GPL
Url: http://www.minlinux.org/projects/fb2png/
Group: System/Kernel and hardware
BuildRequires:	libpng-devel
Patch0: fb2png-0.1-libpng-needs-libm.patch
Patch1: fb2png-0.1-zlib-include.patch

%description
Utility to make screenshots from framebuffer

%prep
%setup -q
%patch0 -p1
%patch1 -p0
cp %{SOURCE1} index.html

%build
%make CFLAGS="%optflags" LDFLAGS="%ldflags"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc index.html
%{_bindir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.1-12.mga3
+ Revision: 350074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 0.1-11.mga2
+ Revision: 143641
- fix zlib include
- use system build flags

* Thu Jan 27 2011 erwan <erwan> 0.1-11.mga1
+ Revision: 42249
- imported package fb2png

